Bug 525046 - [indic] yum showing content in indic languages, those are broken on terminal
[indic] yum showing content in indic languages, those are broken on terminal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vte3 (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: FutureFeature, i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-23 02:09 EDT by A S Alam
Modified: 2016-05-30 02:33 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-30 02:33:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot of Gnome-terminal + Konsole (122.84 KB, image/png)
2009-09-25 03:45 EDT, A S Alam
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 584160 None None None Never

  None (edit)
Description A S Alam 2009-09-23 02:09:58 EDT
Description of problem:
while running yum command in Punjabi Desktop (pa_IN) locale, there was some output, which is broken, failed to read from terminal. When using Group command,then all things are broken.

Version-Release number of selected component (if applicable):
yum-3.2.24-5.fc12

How reproducible:
100%

Steps to Reproduce:
1. in gnome-terminal set locale as 'export LANG=pa_IN.UTF-8'
2. yum grouplist
3.
  
Actual results:
output contains Punjabi (pa_IN) language, which is not shown properly

Expected results:
as Indic (all) languages are not render properly on Terminal, so output
should be in English for better use. 

Additional info:
1) Other affected locales are *_IN (as_IN,bn_IN,gu_IN,hi_IN,ml_IN,mr_IN...)
2) for GUI front-end (gpk-application) locales are working fine
Comment 1 seth vidal 2009-09-23 14:26:14 EDT
I think this bug should be filed against either gnome terminal or whomever maintains the fonts.
Comment 2 James Antill 2009-09-24 09:27:22 EDT
Also you may want to check that this isn't a dup of 517878
Comment 3 Matthias Clasen 2009-09-24 16:35:14 EDT
Dumping the output in a file and opening that in gedit shows something that (to my non-Indian eyes) looks correct. 

Font issue, maybe ?
Comment 4 Behdad Esfahbod 2009-09-24 23:19:20 EDT
Well, we don't support complex text in the terminal.  That's just it, right?
Comment 5 A S Alam 2009-09-24 23:26:24 EDT
ya, it is right, is there any workaround to use en_US instead of indic locale, if not for all users, but "su -" minimum?
Comment 6 Jens Petersen 2009-09-25 03:19:49 EDT
Is konsole ok?

Dunno if there is any way to detect that a shell is running
in a gnome-terminal?  Ah maybe COLORTERM=gnome-terminal ?
Comment 7 A S Alam 2009-09-25 03:45:22 EDT
Created attachment 362630 [details]
screenshot of Gnome-terminal + Konsole

Konsole is more readable Text than gnome-terminal as rendering is not broken,
but only upper/lower part are not working for it.

Screenshot attached for reference
Comment 8 Jens Petersen 2009-09-25 04:07:33 EDT
I don't have any smart ideas other than disabling
Indic/complex text locales in bash by default in
interactive shells for now?
(Similarly to how we disable CIJK on the console.)
Comment 9 Jens Petersen 2009-09-25 04:09:19 EDT
But but, if we do that then GUI programs
launched from a gnome-terminal won't be in
native language.

Hmm I really don't see a good way to handle
this right now.
Comment 10 A S Alam 2009-09-25 04:31:32 EDT
right, I am not sure about my query (so asking)
is user run more GUI applications than TUI from g-t?
or Is there any way to find a application using X or not from g-t?
Comment 11 Bill Nottingham 2009-09-25 12:45:46 EDT
How about we just fix the terminal? :)
Comment 12 Behdad Esfahbod 2009-09-25 22:23:37 EDT
Complex text in terminal is a nontrivial task.  How about disabling yum translations for complex languages for now?
Comment 13 A S Alam 2009-09-26 04:11:42 EDT
1) Actually problem is not with Yum Translation (as yum is not translated for Punjabi or other CTL ),  it is using 'compos' translation to shows package information or Group 
data (as in Screen-shot). Need to know how we can disable that?

*That Data it render properly when use with GUI Frontend (gpk-application or gpk-update-viewer).

2) Various Other Commands like 
* rpm -qi <PackageName>
* su -
* date
* /etc/init.d/<ServiceName> Start/Stop

more in this list can be collected.

Either we can set Default language for terminal en_US (comment #8) with #9 problem
or we can disable locale (Indic) for some packages like yum or services (2), but need to collect list of it.

Thanks
Comment 14 Bug Zapper 2009-11-16 07:47:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-11-04 05:52:26 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 A S Alam 2010-11-07 23:05:40 EST
problem still exist with latest version for Fedora (F14), moving bug to Fedora 14, tested packages:
yum-3.2.28-5.fc14.noarch
pango-1.28.1-4.fc14.i686
Comment 17 Akira TAGOH 2011-12-05 06:25:33 EST
This may be a dumb question since we don't see any improvements on the complex text support on the terminal, but.. it would be always good to check and update bz with the latest version.  So.. does this still persist on f16?
Comment 18 A S Alam 2011-12-05 22:24:24 EST
(In reply to comment #17)
> This may be a dumb question since we don't see any improvements on the complex
> text support on the terminal, but.. it would be always good to check and update
> bz with the latest version.  So.. does this still persist on f16?

yes, continue with fedora 16.
Comment 19 Fedora Admin XMLRPC Client 2012-01-10 10:49:00 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 20 Fedora Admin XMLRPC Client 2012-01-10 10:50:40 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Parag Nemade 2012-07-06 09:33:42 EDT
this is present in F17
Comment 23 Fedora End Of Life 2013-07-04 01:30:59 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 24 Satyabrata Maitra 2016-05-30 02:33:04 EDT
This bug still persists and its a long known issue. Please feel free to reopen this bug. Closing it as of now.

Note You need to log in before you can comment on or make changes to this bug.